Open SCAP Library

Data Fields
check_engine_plugin_def Struct Reference
XCCDF_POLICY » Engine Plugin

## Data Fields
int | _reserved
void * | module_handle
void * | user_data
int(* | register_fn )(struct xccdf_policy_model *, const char *, void **)
int(* | cleanup_fn )(struct xccdf_policy_model *, void **)
int(* | export_results_fn )(struct xccdf_policy_model *, bool, const char *, void **)
const char *(* | get_capabilities_fn )(void **)

The documentation for this struct was generated from the following file:

- check_engine_plugin.h